Thanks Martin, your Maven expertise will be very welcome!

Best regards,
David

On 03/07/2012 08:12, Martin Höller wrote:
On Tuesday 03 July 2012 David Gilbert wrote:
Hi David,

I didn't make a decision, but let's do this:

- release JFreeChart 1.0.15 supporting JRE 1.4.2 or later, with a big
notice that the next release (JFreeChart 1.0.16) will be based on
JRE/JDK 1.6 or later;
ok.

- simultaneously I will start a project on GitHub for 'jfreechart-fse'
("Future State Edition") that will be totally Mavenised, refactored to
remove unnecessary dependencies (e.g. much of JCommon), deprecations
removed, and a free-for-all on API changes until some future date.  This
version will require JRE/JDK 1.7 or later (and maybe even a later
version if it turns out to be fun).
Sound like lot of fun :)

I volunteer for the "totally Mavenised" part.


- martin


------------------------------------------------------------------------------
Live Security Virtual Conference
Exclusive live event will cover all the ways today's security and 
threat landscape has changed and how IT managers can respond. Discussions 
will include endpoint security, mobile security and the latest in malware 
threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/


_______________________________________________
jfreechart-developers mailing list
jfreechart-developers@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/jfreechart-developers